tevent (0.16.1-1) unstable; urgency=medium

  * new upstream release
  * d/control: update libtalloc version for Build-Depends
  * d/patches/cross.patch: refresh
  * d/libtevent0.symbols: update symbols file with new version

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 29 Jan 2024 20:15:38 +0300

tevent (0.15.0-1) unstable; urgency=medium

  * new upstream release (requires talloc 2.4.1; new symbols)
  * remove hunk from cross.patch which is applied upstream

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Jul 2023 23:06:06 +0300

tevent (0.14.1-1) unstable; urgency=medium

  * new upstream minor release:
    - Build fix for GNU/Hurd
    - Build fix for Solaris, after removal
      of ports backend (samba bug #15298)
  * d/control: do not build-depend on python-distutils,
    sysconfig will be used instead
  * d/control: Standards-Version: 4.6.2 (no changes)
  * d/control: remove build-depend on libaio-dev, it is not used
  * cross.patch: fix two bugs in it

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 04 Feb 2023 11:22:05 +0300

tevent (0.14.0-2) unstable; urgency=medium

  * new upstream release (0.14.0, from samba 4.18):
    - Support python 3.12
    - remove solaris port backend (it's not maintainable)
    - make tevent_find_ops_byname() available for callers.
    - allow the "standard" backend to be overloaded
    - add interface for request/subrequest call depth tracking:
      tevent_thread_call_depth_activate
      tevent_thread_call_depth_deactivate
      tevent_thread_call_depth_start
      tevent_thread_call_depth_stop
      tevent_thread_call_depth_reset_from_req
  * d/libtevent0.symbols: add new symbols and version
  * d/control: build-depend on more recent libtalloc (2.4.0)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 21 Jan 2023 10:43:30 +0300

tevent (0.13.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Michael Tokarev ]
  * d/rules: support "terse" build option for non-verbose build
  * d/salsa-ci.yml:
    - instead of allowing blhc to (always) fail, disable it
    - disable crossbuild-arm64 test (samba does not cross-build)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 20 Jan 2023 19:07:18 +0300

tevent (0.13.0-2) unstable; urgency=medium

  * d/rules: inline parallel check from dpkg/buildopts.mk
  * use CFLAGS/LDFLAGS when running configure the same way
    as in other samba packages
  * d/rules: make it more like other samba d/rules files (minor changes)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 30 Oct 2022 11:50:07 +0300

tevent (0.13.0-1) unstable; urgency=medium

  * new upstream release (0.13.0)
  * d/libtevent0.symbols: add new version
  * d/control: build-depend on libtalloc >= 2.3.4

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 05 Sep 2022 12:54:26 +0300

tevent (0.12.0-1) unstable; urgency=medium

  * New upstream version
  * libtevent0.symbols: new symbols:
    tevent_get_trace_queue_callback
    tevent_queue_entry_get_tag
    tevent_queue_entry_set_tag
    tevent_set_trace_queue_callback
    tevent_trace_queue_callback
  * add myself to Uploaders.
  * many packaging tweaks and cleanups:
    - use buildflags.mk instead of our own CFLAGS
    - enable hardening=+all
    - use DEB_CFLAGS_MAINT_APPEND = -g -Wall
    - set SHELL=/bin/sh -e
    - reorder rules for readability
    - reformat configure flags for readability
    - set configure environment vars in one place
    - use bin/config-stamp dep in configure & build
      to stop running configure on every (re)build
    - remove override_dh_makeshlibs
      (export DPKG_GENSYMBOLS_CHECK_LEVEL instead)
    - simplify clean target
    - explicit override_dh_auto_test
    - fix salsa-ci test failure with closed fd#0
    - switch to using waf directly (& parallel)
    - stop using --minimum-library-version=
      in configure line (not very useful)
    - bump dh-compat to 13
    - explicitly list targets which goes to dh
    - adopt significantly faster version of
      /usr/share/dpkg/architecture.mk to set all vars in 1 go

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 02 May 2022 21:56:00 +0300

tevent (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
    - Update 0001-Disable-python-tests.patch
    - Bump build-depend on talloc to 2.3.2
    - Add Build-Depends: libcmocka-dev (>= 1.1.3)
    - Update symbols
  * Update watch file format version to 4
  * d/copyright: Fix duplicate-globbing-patterns
  * Standards-Version: 4.5.1

 -- Mathieu Parent <sathieu@debian.org>  Tue, 14 Dec 2021 09:43:24 +0100

tevent (0.10.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use dh $@ sequencer.
  * Update standards version to 4.5.0, no changes needed.

  [ Mathieu Parent ]
  * New upstream version 0.10.2
    - Update symbols (no change)
    - Bump build-depend on talloc to 2.3.1

 -- Mathieu Parent <sathieu@debian.org>  Tue, 23 Jun 2020 10:09:25 +0200

tevent (0.10.1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.4.1, no changes needed.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Mathieu Parent <sathieu@debian.org>  Sun, 17 Nov 2019 14:36:24 +0100

tevent (0.10.1-3) unstable; urgency=medium

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Sat, 14 Sep 2019 09:55:27 +0200

tevent (0.10.1-2) experimental; urgency=medium

  [ Helmut Grohne ]
  * Improve cross building. (Closes: #939618)
    + Annotate the python3 Build-Depends with :any.
    + Export CC and PKGCONFIG for waf.
    + cross.patch: don't run an unnecessary hello world test
    + cross.patch: use compile-only checks for sizeof validation

 -- Mathieu Parent <sathieu@debian.org>  Sat, 14 Sep 2019 08:35:29 +0200

tevent (0.10.1-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream version 0.10.1
    - d/watch Unpin to tevent 0.9.x
    - Bump build-depend on talloc to 2.3.0
    - Build-Depends: python3-distutils even with --disable-python
    - Disable python tests
    - Update symbols (no change)

 -- Mathieu Parent <sathieu@debian.org>  Fri, 13 Sep 2019 19:56:21 +0200

tevent (0.9.39-2) unstable; urgency=medium

  * Upload to unstable
  * Bump debhelper from old 11 to 12.
  * Standards-Version: 4.4.0
  * d/copyright:
    - s/GPL-3+/GPL-3.0+/ and s/LGPL-3+/LGPL-3.0+/
    - Move License details to end of file
    - Add waf licences
    - Add lib/replace licences
    - Add lib/talloc/* licenses

 -- Mathieu Parent <sathieu@debian.org>  Thu, 29 Aug 2019 14:43:48 +0200

tevent (0.9.39-1) experimental; urgency=medium

  [ Mathieu Parent ]
  * Lintian:
    - Fix public-upstream-key-not-minimal
    - Add Build-Depends-Package field in d/*.symbols
    - Standards-Version: 4.3.0
  * Add Debian pipeline (debian/salsa-ci.yml)
  * d/watch: Pin to tevent 0.9.x for now as 0.10.x drop --extra-python support
  * New upstream version 0.9.39

  [ Andreas Hasenack ]
  * d/rules: really clean all the temporary files
  * d/libtevent0.symbols: updated symbols
  * d/control, d/rules: disable python via ./configure, instead of building and
    deleting it. This also reduces build-deps.
  * d/control: build depend on python3, not python
  * d/control: require talloc >= 2.1.16

 -- Mathieu Parent <sathieu@debian.org>  Fri, 23 Aug 2019 00:01:29 +0200

tevent (0.9.37-1) unstable; urgency=medium

  * New upstream version 0.9.37
    - Bump build-depend on talloc to 2.1.13
    - Update symbols
  * d/control: Standards-Version: 4.2.1
  * d/control: Rules-Requires-Root: no
  * d/rules: Remove dbgsym-migration in override_dh_strip

 -- Mathieu Parent <sathieu@debian.org>  Mon, 17 Sep 2018 21:18:44 +0200

tevent (0.9.36-2) unstable; urgency=low

  * Upload to unstable

 -- Mathieu Parent <sathieu@debian.org>  Tue, 15 May 2018 15:42:59 +0200

tevent (0.9.36-1) experimental; urgency=medium

  * New upstream version 0.9.36
    - Bump build-depend on talloc to 2.1.11
    - Update symbols
  * Upload to experimental
  * Repository moved to salsa: Update Vcs-* fields
  * gbp.conf: Enable sign-tags and pristine-tar
  * Fix global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Move to debhelper 11, no expected change
  * Standards-Version: 4.1.3, no change

 -- Mathieu Parent <sathieu@debian.org>  Sun, 11 Mar 2018 21:06:02 +0100

tevent (0.9.34-1) unstable; urgency=high

  * New upstream version 0.9.34
    - Update symbols (no changes)
    - fix upstream "BUG 13130: smbd on disk file corruption bug under heavy
      threaded load"
    - Set urgency to high for this fix
  * Standards-Version: 4.1.1, no change

 -- Mathieu Parent <sathieu@debian.org>  Thu, 23 Nov 2017 11:04:22 +0100

tevent (0.9.33-2) unstable; urgency=medium

  * Upload to sid

 -- Mathieu Parent <sathieu@debian.org>  Thu, 26 Oct 2017 10:27:36 +0200

tevent (0.9.33-1) experimental; urgency=medium

  * New upstream version 0.9.33
    - Update symbols (no changes)
    - Bump build-depend on talloc to 2.1.10
  * Use https form of the copyright-format URL (Debian Policy 4.0.0)
  * Standards-Version: 4.0.0

 -- Mathieu Parent <sathieu@debian.org>  Mon, 02 Oct 2017 10:26:56 +0200

tevent (0.9.31-1) unstable; urgency=medium

  [ Jelmer Vernooij ]
  * Change maintainer to Debian Samba package maintainers.

  [ Mathieu Parent ]
  * New upstream version.
    - Update symbols
    - Bumping talloc Buid-Depends to 2.1.8
  * Add me to uploaders
  * Use secure Vcs-* uris
  * Use automatic debug packages (-dbgsym)
  * Use https homepage for tevent
  * Mark libtevent-dev Multi-Arch: same
  * Fix libreplace path in debian/copyright
  * Bump standards version to 3.9.8 (no changes)

 -- Mathieu Parent <sathieu@debian.org>  Sun, 09 Oct 2016 20:47:15 +0200

tevent (0.9.28-1) unstable; urgency=medium

  * New upstream version.
  * Drop upstreamed patch 01_fix_ld_library_path.
  * Update Vcs-Git URL to use new host name (anonscm.debian.org).

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 13 Dec 2015 01:15:17 +0000

tevent (0.9.26-3) unstable; urgency=low

  * debian/copyright: Set short names for licenses.
  * Fix Vcs-Git header.
  * debian/rules: Properly clean up bin/, .lock-wscript and libtevent.a.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Dec 2015 01:17:11 +0000

tevent (0.9.26-2) unstable; urgency=medium

  * Set LD_LIBRARY_PATH during tests. Fixes FTBFS. Closes: #805319

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 17 Nov 2015 00:57:47 +0000

tevent (0.9.26-1) unstable; urgency=medium

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 08 Nov 2015 21:42:12 +0000

tevent (0.9.25-1) unstable; urgency=medium

  * Fix watch file.
  * New upstream release.
  * Bump standards version to 3.9.6 (no changes).
  * debian/copyright: Fix duplicate license names.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 19 Sep 2015 03:16:10 +0000

tevent (0.9.16-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper 9.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 10 Jun 2012 13:23:16 +0200

tevent (0.9.15-2) unstable; urgency=low

  * Only depend on (optional) libaio-dev on Linux. Thanks Robert Millan.
    Closes: #650954
  * debian/copyright: Refer to LGPL-3 license file rather than symlink.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 29 Mar 2012 00:42:38 +0200

tevent (0.9.15-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.3 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 12 Mar 2012 19:48:56 +0100

tevent (0.9.14+git20120207-1) unstable; urgency=low

  * New upstream snapshot.
   + Unpacks waf source code. Closes: #654510

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 15:36:52 +0100

tevent (0.9.14-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 10 Aug 2011 13:49:40 +0200

tevent (0.9.13-3) unstable; urgency=low

  * Upload to unstable.
  * Switch to new style debhelper.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Jul 2011 16:37:04 +0200

tevent (0.9.13-2) experimental; urgency=low

  * Add libtevent-dbg package.
  * Add multi-arch support.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 20:28:46 +0200

tevent (0.9.13-1) unstable; urgency=low

  * New upstream release.
  * Add homepage field.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 18 Jul 2011 17:48:12 +0200

tevent (0.9.11~git20110311-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Mar 2011 00:50:21 +0100

tevent (0.9.10-1) unstable; urgency=low

  * New upstream release.
  * Remove reference to deprecated BSD license file.
  * Support building against talloc 2.0.1.
  * Add script for automatically updating dependencies.
  * Add missing dependencies on ${misc:Depends}.
  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Dec 2010 19:38:38 +0100

tevent (0.9.9~git20100928-2) unstable; urgency=low

  * Depend on python-dev to build new Python module. Closes: #598374

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 28 Sep 2010 17:21:10 +0200

tevent (0.9.9~git20100928-1) unstable; urgency=low

  * Support building against talloc 2.0.1.
  * New upstream snapshot. Closes: #598362

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 13 Sep 2010 15:28:58 +0200

tevent (0.9.9~git20100522-3) experimental; urgency=low

  * Add missing dependency on pkg-config and python. Closes: #595642

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 27 Aug 2010 02:35:21 +0200

tevent (0.9.9~git20100522-2) experimental; urgency=low

  * Bump standards version to 3.9.1.
   + Inline BSD license in copyright file.
  * Add missing build dependency on Python (required by waf).
  * Depend on talloc >= 2.0.3.
  * Switch to Bazaar.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 26 Aug 2010 23:33:51 +0200

tevent (0.9.9~git20100522-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 23 May 2010 15:37:56 +0200

tevent (0.9.9~git20100514-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.4.
  * Use source format 3.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 14 May 2010 18:12:51 +0200

tevent (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.8.3.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 11 Sep 2009 22:40:00 +0200

tevent (0.9.6~20090604-1) experimental; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 05 Jun 2009 01:08:49 +0200

tevent (0.9.5~20090516-1) unstable; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.8.1.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 16 May 2009 04:30:35 +0200

tevent (0.9.3~git20090221-1) unstable; urgency=low

  * New upstream snapshot.
  * Add dependency on libaio-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 02 Feb 2009 23:33:20 +0100

tevent (0.9.2~git20090105-1) unstable; urgency=low

  * Initial release. (Closes: #509225)

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 06 Jan 2009 20:57:29 +0100
